pydo.databases.list_backups()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.databases.list_backups(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
Returns JSONRaises HttpResponseError

Description

To list all of the available backups of a PostgreSQL or MySQL database cluster, send a GET request to /v2/databases/{database_cluster_uuid}/backups. Note: Backups are not supported for Caching or Valkey clusters. The result will be a JSON object with a backups key. This will be set to an array of backup objects, each of which will contain the size of the backup and the timestamp at which it was created.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.list_backups(database_cluster_uuid="a9a8a77")

Response Example

Show Response Example
{
  "backups": [
    {
      "created_at": "2019-01-11T18:42:27Z",
      "size_gigabytes": 0.03357696,
      "incremental": false
    },
    {
      "created_at": "2019-01-12T18:42:29Z",
      "size_gigabytes": 0.03364864,
      "incremental": true
    }
  ],
  "scheduled_backup_time": {
    "backup_hour": 20,
    "backup_minute": 40,
    "backup_interval_hours": 24
  },
  "backup_progress": "36"
}

More Information

See /v2/databases/{database_cluster_uuid}/backups in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.